Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Rails 5 support #69

Open
talski opened this issue May 21, 2016 · 13 comments
Open

Rails 5 support #69

talski opened this issue May 21, 2016 · 13 comments

Comments

@talski
Copy link

@talski talski commented May 21, 2016

Would be nice to see rails 5 support, as it brings a lot of useful features like Cable and API mode

@LucasPiffer
Copy link

@LucasPiffer LucasPiffer commented Sep 15, 2016

That's true!

@vipantonio
Copy link

@vipantonio vipantonio commented Nov 10, 2016

It would be very great to have this implemented!

@rollyar
Copy link

@rollyar rollyar commented Jun 13, 2018

`rescue in block (2 levels) in require': There was an error while trying to load the gem 'activerecord-fb-adapter'. (Bundler::GemRequireError)
Gem Load Error is: uninitialized constant Arel::Visitors::VISITORS

Sorry for my ignorance, I'm new to rails, this error is because it is not to support rails 5.2, there is some solution, thanks and apologies again.

@rowland
Copy link
Owner

@rowland rowland commented Jun 13, 2018

Nobody has stepped forward to add support for Rails 5.x.

My shop is migrating to Postgres, so I'll be looking for a new maintainer.

@funny-falcon
Copy link

@funny-falcon funny-falcon commented Jun 18, 2018

@rowland will there be blog post about reasons of migration from Firebird?

@mariuz
Copy link
Contributor

@mariuz mariuz commented Jun 19, 2018

I have seen there is a fork with 5.0.x compatibility

https://github.com/NetcomKassel/activerecord-fb-adapter/commits/master

Another one that i spotted is https://github.com/FabioMR/firebird_adapter

@mariuz
Copy link
Contributor

@mariuz mariuz commented Jun 19, 2018

@rowland Could you add me as maintainer/owner on https://rubygems.org/gems/activerecord-fb-adapter ?

@rowland
Copy link
Owner

@rowland rowland commented Jun 19, 2018

@rowland
Copy link
Owner

@rowland rowland commented Jun 20, 2018

@funny-falcon I wasn't planning a blog post. When we first selected Interbase, eons ago, it was a little ahead of Postgres for the applications and platforms my shop was targeting. Since then, Postgres has iterated more rapidly than Firebird and now has a commanding lead. Running a 24/7/365 service with the kind of reliability and resilience our customers expect requires a better backup, replication and failover story than Firebird can tell. I've been nursing along a 3rd-party replication solution, but will be happy when that is a 1st-class feature. The richer data types offered by Postgres, such as JSON columns, will also be nice.

@rowland
Copy link
Owner

@rowland rowland commented Jun 20, 2018

@mariuz You've been added as an owner alongside @rzane, who kindly contributed the Rails 4 updates.

@rzane
Copy link
Contributor

@rzane rzane commented Jun 20, 2018

Hey @rowland and @mariuz, if anyone has questions that I can help with, I'm happy to help. I don't use firebird anymore though, so I probably won't be contributing any code.

@joseh-henrique
Copy link

@joseh-henrique joseh-henrique commented Mar 30, 2020

Please, add support for Rails 5.0

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
9 participants